FROM maven:latest as build-stage

WORKDIR /root

COPY src src
COPY pom.xml .
RUN mvn package


FROM tomcat:8 as production-stage
COPY --from=build-stage /root/target/mcm_th.war /usr/local/tomcat/webapps
CMD ["catalina.sh", "run"]
